summarylogtreecommitdiffstats
path: root/soundsync.sh
diff options
context:
space:
mode:
authorzxp198210052023-12-13 13:36:44 +0800
committerzxp198210052023-12-13 13:36:44 +0800
commit63a7fb4c92ff64b3bda323a78c68be8e099b5c78 (patch)
tree91a61d1009deac75b617057ef952ea8466b82933 /soundsync.sh
parenta46268796d52d388604a348d9017c457f19d41d1 (diff)
downloadaur-63a7fb4c92ff64b3bda323a78c68be8e099b5c78.tar.gz
fix errors
Diffstat (limited to 'soundsync.sh')
-rw-r--r--soundsync.sh16
1 files changed, 10 insertions, 6 deletions
diff --git a/soundsync.sh b/soundsync.sh
index f5c6d54d6f07..2ec4412e5c4f 100644
--- a/soundsync.sh
+++ b/soundsync.sh
@@ -1,10 +1,14 @@
#!/bin/bash
-_ELECTRON=/usr/bin/electron15
-APPDIR="/usr/lib/soundsync"
-export PATH="${APPDIR}:${PATH}"
-_ASAR="${APPDIR}/app"
+set -e
+_APPDIR="/usr/lib/@appname@"
+export PATH="${_APPDIR}:${PATH}"
+export ELECTRON_IS_DEV=0
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+_ASAR="${_APPDIR}/@appasar@"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec ${_ELECTRON} ${_ASAR} "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
else
- exec ${_ELECTRON} ${_ASAR} --no-sandbox "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
fi \ No newline at end of file